
set timeout="5"
set default="0"

insmod all_video
insmod vbe
insmod vga
insmod video_bochs
insmod video_cirrus
insmod font
insmod gfxterm
insmod gfxmenu
insmod gettext
insmod jpeg
insmod png

#加载unicode字体显示中文
font=(memdisk)/boot/grub/fonts/unicode.pf2
if loadfont $font; then
 set gfxmode=1366x768
 set locale_dir=(memdisk)/boot/grub/locale
 set lang=zh_CN
fi

#设置分辨率
set gfxmode=auto
terminal_output gfxterm

#设置主题或背景图片
if search --no-floppy -f /boot/grub/themes/Vimix/theme.txt; then
 set theme=/boot/grub/themes/Vimix/theme.txt
else
 background_image /boot/grub/background.png
 set color_normal=red/black
 set color_highlight=magenta/black
fi

menuentry "Microsoft Windows 10 企业版" --class windows --class os {
	echo "正在启动 Microsoft Windows 10..."
	insmod part_gpt
	insmod ntfs
	insmod fat
	insmod search_fs_file
	insmod chain
	search --no-floppy --set=root -f /EFI/Microsoft/Boot/bootmgfw.efi
	chainloader (${root})/EFI/Microsoft/Boot/bootmgfw.efi
}
menuentry "重启计算机" --class reboot {
	reboot
}
menuentry "关闭计算机" --class shutdown {
	halt
}